/**
 * The $N Multistroke Recognizer (C# version)
 *
 *	    Lisa Anthony, Ph.D.
 *		UMBC
 *		Information Systems Department
 * 		1000 Hilltop Circle
 *		Baltimore, MD 21250
 * 		lanthony@umbc.edu
 * 
 *      Jacob O. Wobbrock, Ph.D.
 * 		The Information School
 *		University of Washington
 *		Mary Gates Hall, Box 352840
 *		Seattle, WA 98195-2840
 *		wobbrock@u.washington.edu
 *
 * This software is distributed under the "New BSD License" agreement:
 * 
 * Copyright (c) 2007-2012, Lisa Anthony and Jacob O. Wobbrock
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *    * Neither the name of the University of Washington or UMBC,
 *      nor the names of its contributors may be used to endorse or promote 
 *      products derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL Jacob O. Wobbrock OR Lisa Anthony 
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Recognizer.NDollar
{
    public partial class InfoForm : Form
    {
        public InfoForm()
        {
            InitializeComponent();
            cboSpeed.SelectedIndex = 0;
        }

        public int Subject
        {
            get
            {
                return (int) numSubject.Value;
            }
        }

        public string Speed
        {
            get
            {
                return (string) cboSpeed.SelectedItem;
            }
        }

        public bool OneD
        {
            get
            {
                return (bool)oneD.Checked;
            }
        }

        public bool TwoD
        {
            get
            {
                return (bool)twoD.Checked;
            }
        }

        private void multiUserButton_CheckedChanged(object sender, EventArgs e)
        {
            if (multiUserButton.Checked)
            {
                numSubject.Enabled = false;
                lblSubject.Enabled = false;
                cboSpeed.Enabled = false;
                lblSpeed.Enabled = false;
                singleUserPanel.Enabled = false;
            }
        }

        private void singleUserButton_CheckedChanged(object sender, EventArgs e)
        {
            if (singleUserButton.Checked)
            {
                numSubject.Enabled = true;
                lblSubject.Enabled = true;
                cboSpeed.Enabled = true;
                lblSpeed.Enabled = true;
                singleUserPanel.Enabled = true;
            }
        }
    }
}
